Skip to main content
GET
/
api
/
v1
/
exposure
/
hosts
Hosts
curl --request GET \
  --url https://api.defendis.ai/api/v1/exposure/hosts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 456,
      "domainid": 10,
      "host": "app.example.com",
      "port": 443,
      "title": "Example app",
      "webserver": "nginx",
      "status_code": 200
    }
  ],
  "pagination": {
    "totalPages": 1,
    "totalRecords": 1,
    "currentPage": 1,
    "pageSize": 20
  }
}

Authorizations

Authorization
string
header
required

Required for all /api/v1 endpoints. Use Authorization: Bearer <api_key>

Query Parameters

domainId
integer
required
page
integer
Required range: x >= 1
subdomain
string
host
string

Response

200 - application/json

Hosts response

data
object[]
pagination
object